function __fish_colors -S -d 'Define colors used by bobthefish'
	set -l colorfg black
	set -x color_initial_segment_exit     cyan red --bold
	set -x color_initial_segment_private  cyan black
	set -x color_initial_segment_su       cyan yellow --bold
	set -x color_initial_segment_jobs     cyan blue --bold

	set -x color_path                     black white
	set -x color_path_basename            black white --bold
	set -x color_path_nowrite             magenta $colorfg
	set -x color_path_nowrite_basename    magenta $colorfg --bold

	set -x color_repo                     brgreen $colorfg --bold
	set -x color_repo_work_tree           black $colorfg --bold
	set -x color_repo_dirty               brred $colorfg --bold
	set -x color_repo_staged              bryellow $colorfg --bold

	set -x color_vi_mode_default          brblue $colorfg --bold
	set -x color_vi_mode_insert           green $colorfg --bold
	set -x color_vi_mode_visual           magenta $colorfg --bold

	set -x color_vagrant                  brcyan $colorfg
	set -x color_k8s                      magenta $colorfg --bold
	set -x color_aws_vault                blue $colorfg --bold
	set -x color_aws_vault_expired        blue red --bold
	set -x color_username                 white black --bold
	set -x color_hostname                 white black
	set -x color_screen                   brgreen $colorfg --bold
	set -x color_rvm                      brmagenta $colorfg --bold
	set -x color_node                     brgreen $colorfg --bold
	set -x color_virtualfish              brblue $colorfg --bold
	set -x color_virtualgo                brblue $colorfg --bold
	set -x color_desk                     brblue $colorfg --bold
	set -x color_nix                      brblue $colorfg --bold
end
